Job Favorite

The job favorite resource.

Basehttps://rest.carbon.ms/jobFavorite
GET/jobFavorite

List job favorites

Retrieve a paginated list of job favorites. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/jobFavorite
curl --request GET \
  --url 'https://rest.carbon.ms/jobFavorite?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "jobId": "xyz789",
    "userId": "xyz789"
  }
]
GET/jobFavorite

Retrieve a job favorite

Fetch a single job favorite by filtering on `jobId`.

Query parameters

jobIdstring

Match on the job favorite's `jobId`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/jobFavorite
curl --request GET \
  --url 'https://rest.carbon.ms/jobFavorite?jobId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "jobId": "xyz789",
  "userId": "xyz789"
}
POST/jobFavorite

Create a job favorite

Create a new job favorite.

POSThttps://rest.carbon.ms/jobFavorite
curl --request POST \
  --url https://rest.carbon.ms/jobFavorite \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"jobId":"xyz789"}'
Response
{
  "jobId": "xyz789",
  "userId": "xyz789"
}
PATCH/jobFavorite

Update a job favorite

Update an existing job favorite, matched on `jobId`.

PATCHhttps://rest.carbon.ms/jobFavorite
curl --request PATCH \
  --url 'https://rest.carbon.ms/jobFavorite?jobId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "jobId": "xyz789",
  "userId": "xyz789"
}
DELETE/jobFavorite

Delete a job favorite

Delete a job favorite, matched on `jobId`. Returns 204 No Content.

Query parameters

jobIdstring

The `jobId` of the job favorite to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/jobFavorite
curl --request DELETE \
  --url 'https://rest.carbon.ms/jobFavorite?jobId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content